package annotation

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
)

var RESTServiceAnnotationType = reflect.TypeOf((*RESTServiceAnnotation)(nil))

func init() {
	cda.RegisterAnnotation(RESTServiceAnnotationType)
}

type RESTServiceAnnotation struct {
	cda.TypeAnnotation `@annotation:"@overflow:RESTService"`
	Method             string   `@annotation:"method"`
	Entry              string   `@annotation:"entry"`
	Params             []string `@annotation:"params"`
}
